> For the complete documentation index, see [llms.txt](https://docs.complycube.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.complycube.com/documentation/api-reference/other-resources/team-members/list-team-members.md).

# List team members

### URL

<mark style="color:blue;">**GET**</mark> `https://api.complycube.com/v1/teamMembers`

This endpoint allows you to list all team members.\
\
The team members are returned sorted by creation date, with the most recent team member appearing first.

### Headers

<table><thead><tr><th width="270">Name</th><th width="100">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>Authorization</code><mark style="color:red;">*</mark></td><td>string</td><td>The API <code>live</code> or <code>test</code> key.</td></tr></tbody></table>

### Query parameters

<table><thead><tr><th width="271">Name</th><th width="100">Type</th><th>Description</th></tr></thead><tbody><tr><td>&#x3C;pagination></td><td>string</td><td>The number of items to return and the number of pages to offset.</td></tr><tr><td>&#x3C;filtering></td><td>string</td><td>Filters the results.</td></tr></tbody></table>

{% hint style="info" %}
You can use [pagination](/documentation/api-reference/pagination.md) and [team members filters](/documentation/api-reference/other-resources/team-members/filtering-team-members.md) for this endpoint.
{% endhint %}

### Example request

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X GET https://api.complycube.com/v1/teamMembers \
     -H 'Authorization: <YOUR_API_KEY>'
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
const { ComplyCube } = require("@complycube/api");

const complycube = new ComplyCube({ apiKey: "<YOUR_API_KEY>" });

const teamMembers = await complycube.teamMember.list();
```

{% endtab %}

{% tab title="Python" %}

```python
from complycube import ComplyCubeClient

cc_api = ComplyCubeClient(api_key='<YOUR_API_KEY>')

team_members = cc_api.teammembers.list()
```

{% endtab %}

{% tab title="PHP" %}

```php
use ComplyCube\ComplyCubeClient;

$ccapi = new ComplyCubeClient('<YOUR_API_KEY>');

$client = $ccapi->teamMembers()->list();
```

{% endtab %}

{% tab title=".NET" %}

```csharp
using ComplyCube.Net;
using ComplyCube.Net.Resources.TeamMembers;

var teamMemberApi = new TeamMemberApi(new ComplyCubeClient("<YOUR_API_KEY>"));

var teamMembers = await teamMemberApi.ListAsync();
```

{% endtab %}
{% endtabs %}

### Example response

{% tabs %}
{% tab title="Success (200)" %}

```json
{
    "page": 1,
    "pageSize": 100,
    "totalItems": 2,
    "pages": 1,
    "items": [
        {
            "id": "VNARgK33nMASdJKdi",
            "firstName": "John",
            "lastName": "Doe",
            "role": "owner",
            "createdAt": "2020-01-01T10:15:42.087Z"
        },
        {
            "id": "LAMKgK25nDKYpNLbl",
            "firstName": "Jane",
            "lastName": "Doe",
            "role": "administrator",
            "createdAt": "2020-01-01T11:16:62.000Z"
        }
    ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.complycube.com/documentation/api-reference/other-resources/team-members/list-team-members.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
